XFcAudioBuffer class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAudioBuffer Class Reference

Audio buffer base class. More...

Inheritance diagram for XFcAudioBuffer:

[legend]
Collaboration diagram for XFcAudioBuffer:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcAudioBuffer ()
| Virtual destructor.

## Static Public Member Functions

XFCIMPORT XFcAudioBuffer * | create (XFcAudioFormat aFormat, REAL aVolume)
| Creates a new audio buffer object with given audio format and volume.
XFCIMPORT XFcAudioBuffer * | create (XFcAudioFormat aFormat, REAL aVolume, REAL aPanning)
| Creates a new audio buffer object with given audio format, volume and panning.
XFCIMPORT XFcAudioBuffer * | create (XFcAudioFormat aFormat, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Creates a new audio buffer object with the given audio format, volume, panning and priority.
XFCIMPORT XFcAudioBuffer * | create (FLOAT32 aSamplingRate, UINT32 aFlags, INT32 aSamples, REAL aVolume)
| Creates a new audio buffer object with the given audio format and volume.
XFCIMPORT XFcAudioBuffer * | create (FLOAT32 aSamplingRate, UINT32 aFlags, INT32 aSamples, REAL aVolume, REAL aPanning)
| Creates a new audio buffer object with the given audio format, volume and panning.
XFCIMPORT XFcAudioBuffer * | create (FLOAT32 aSamplingRate, UINT32 aFlags, INT32 aSamples, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Creates a new audio buffer object with the given audio format, volume, panning and priority.

## Protected Member Functions

XFCIMPORT | XFcAudioBuffer ()
| Protected constructor.
XFCIMPORT INT | initialize (FLOAT32 aSamplingRate, UINT32 aFlags, INT32 aSamples, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Initialization method.
XFCIMPORT INT | initialize (XFcAudioFormat aFormat, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Initialization method.

## Detailed Description

Audio buffer base class.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcAudioBuffer::~XFcAudioBuffer | ( |  | ) | `[virtual]`

| Virtual destructor.

XFCIMPORT XFcAudioBuffer::XFcAudioBuffer | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | FLOAT32 | aSamplingRate,
|  | UINT32 | aFlags,
|  | INT32 | aSamples,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[static]`

| Creates a new audio buffer object with the given audio format, volume, panning and priority.

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | FLOAT32 | aSamplingRate,
|  | UINT32 | aFlags,
|  | INT32 | aSamples,
|  | REAL | aVolume,
|  | REAL | aPanning
| ) | `[static]`

| Creates a new audio buffer object with the given audio format, volume and panning.

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | FLOAT32 | aSamplingRate,
|  | UINT32 | aFlags,
|  | INT32 | aSamples,
|  | REAL | aVolume
| ) | `[static]`

| Creates a new audio buffer object with the given audio format and volume.

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | XFcAudioFormat | aFormat,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[static]`

| Creates a new audio buffer object with the given audio format, volume, panning and priority.

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | XFcAudioFormat | aFormat,
|  | REAL | aVolume,
|  | REAL | aPanning
| ) | `[static]`

| Creates a new audio buffer object with given audio format, volume and panning.

XFCIMPORT XFcAudioBuffer* XFcAudioBuffer::create | ( | XFcAudioFormat | aFormat,
|  | REAL | aVolume
| ) | `[static]`

| Creates a new audio buffer object with given audio format and volume.

XFCIMPORT INT XFcAudioBuffer::initialize | ( | XFcAudioFormat | aFormat,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[protected]`

| Initialization method. This should be called by all extending classes in their creation method.

XFCIMPORT INT XFcAudioBuffer::initialize | ( | FLOAT32 | aSamplingRate,
|  | UINT32 | aFlags,
|  | INT32 | aSamples,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[protected]`

| Initialization method. This should be called by all extending classes in their creation method.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch